# class CSSValue

#### package js.html

Available on HTML5

The `CSSValue` interface represents the current computed value of a CSS property.

Documentation CSSValue by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/CSSValue

### Variables

###

`cssText:String`

A `DOMString` representing the current value.

###

`read onlycssValueType:Int`

An `unsigned short` representing a code defining the type of the value. Possible values are:

Constant | Description
`CSS_CUSTOM` | The value is a custom value.
`CSS_INHERIT` | The value is inherited and the `cssText` contains `"inherit"`.
`CSS_PRIMITIVE_VALUE` | The value is a primitive value and an instance of the `CSSPrimitiveValue` interface can be obtained by using binding-specific casting methods on this instance of the `CSSValue` interface.
`CSS_VALUE_LIST` | The value is a `CSSValue` list and an instance of the `CSSValueList` interface can be obtained by using binding-specific casting methods on this instance of the `CSSValue` interface.

### Static variables

###

`staticinline read onlyCSS_CUSTOM:Int = 3`

###

`staticinline read onlyCSS_INHERIT:Int = 0`

###

`staticinline read onlyCSS_PRIMITIVE_VALUE:Int = 1`

###

`staticinline read onlyCSS_VALUE_LIST:Int = 2`